fid = fopen('BigBuckBunny_Flowers_Arc.txt');

x = [];
y = [];
z = [];

u = [];
v = [];

rot = [0 0; 0 0];

line = fgetl(fid);
lineCounter = 0;
while ischar(line)
    line = fgetl(fid);
    lineCounter = lineCounter + 1;
    %disp(line)
    if strfind(line, 'param_')
        lineCounter = 0;
    end
    
    if lineCounter == 6
        splitted = strsplit(line);
        rot(1,1) = str2double(cell2mat(splitted(1)));
        rot(1,2) = str2double(cell2mat(splitted(3)));
        x = [x str2double(cell2mat(splitted(4)))];
    end
    if lineCounter == 7
        splitted = strsplit(line);
        y = [y str2double(cell2mat(splitted(4)))];
    end
    if lineCounter == 8
        splitted = strsplit(line);
        rot(2,1) = str2double(cell2mat(splitted(1)));
        rot(2,2) = str2double(cell2mat(splitted(3)));
        z = [z str2double(cell2mat(splitted(4)))];
        
        dir = [0 1] * rot;
        
        u = [u dir(1)];
        v = [v dir(2)];
    end
    
end

fclose(fid);

quiver(x', z', u', v')
axis([-0.5 0.5 -0.5 0.5])
xlabel('X')
ylabel('Z')
%axis([-2000 2000 7000 7500])